with GNATCOM.Dispinterface;

package MSHTML.IHTMLSelection_Object is

   type IHTMLSelection_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   function Get_anchorNode
     (This : IHTMLSelection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_anchorOffset
     (This : IHTMLSelection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_focusNode
     (This : IHTMLSelection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_focusOffset
     (This : IHTMLSelection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_isCollapsed
     (This : IHTMLSelection_Type)
     return GNATCOM.Types.VARIANT;

   procedure collapse
     (This       : IHTMLSelection_Type;
      parentNode : GNATCOM.Types.VARIANT;
      offfset    : GNATCOM.Types.VARIANT;
      Free       : Boolean := True);

   procedure collapseToStart
     (This : IHTMLSelection_Type);

   procedure collapseToEnd
     (This : IHTMLSelection_Type);

   procedure selectAllChildren
     (This       : IHTMLSelection_Type;
      parentNode : GNATCOM.Types.VARIANT;
      Free       : Boolean := True);

   procedure deleteFromDocument
     (This : IHTMLSelection_Type);

   function Get_rangeCount
     (This : IHTMLSelection_Type)
     return GNATCOM.Types.VARIANT;

   function getRangeAt
     (This  : IHTMLSelection_Type;
      index : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure addRange
     (This   : IHTMLSelection_Type;
      urange : GNATCOM.Types.VARIANT;
      Free   : Boolean := True);

   procedure removeRange
     (This   : IHTMLSelection_Type;
      urange : GNATCOM.Types.VARIANT;
      Free   : Boolean := True);

   procedure removeAllRanges
     (This : IHTMLSelection_Type);

   function toString
     (This : IHTMLSelection_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.IHTMLSelection_Object;

